JobShopBase Class Reference
Example scripts (models)

Example: Job Shop Scheduling More...

## Public Member Functions

| JobShopBase (const JobShopOptions &o)
| Actual model.
void | nooverload (void)
| Do not overload machines.
virtual IntVar | cost (void) const
| Return cost.
| JobShopBase (JobShopBase &s)
| Constructor for cloning s.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

const JobShopOptions & | opt
| Options.
const Spec | spec
| Specification.
IntVarArray | start
| Start times for each step in a job.
IntVar | makespan
| Makespan.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Job Shop Scheduling

Definition at line 268 of file job-shop.cpp.

## Constructor & Destructor Documentation

## JobShopBase() [1/2]

JobShopBase::JobShopBase | ( | const JobShopOptions & | o | ) |

inline

Actual model.

Definition at line 280 of file job-shop.cpp.

## JobShopBase() [2/2]

JobShopBase::JobShopBase | ( | JobShopBase & | s | ) |

inline

Constructor for cloning s.

Definition at line 324 of file job-shop.cpp.

## Member Function Documentation

## nooverload()

void JobShopBase::nooverload | ( | void |  | ) |

inline

Do not overload machines.

Definition at line 297 of file job-shop.cpp.

## cost()

virtual IntVar JobShopBase::cost | ( | void |  | ) | const

inline virtual

Return cost.

Definition at line 320 of file job-shop.cpp.

## print()

virtual void JobShopBase::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >.

Definition at line 331 of file job-shop.cpp.

## Member Data Documentation

## opt

const JobShopOptions& JobShopBase::opt

protected

Options.

Definition at line 271 of file job-shop.cpp.

## spec

const Spec JobShopBase::spec

protected

Specification.

Definition at line 273 of file job-shop.cpp.

## start

IntVarArray JobShopBase::start

protected

Start times for each step in a job.

Definition at line 275 of file job-shop.cpp.

## makespan

IntVar JobShopBase::makespan

protected

Makespan.

Definition at line 277 of file job-shop.cpp.

The documentation for this class was generated from the following file:

- examples/job-shop.cpp